# --------------------------------------------------------------------------
#
# Configuration of the Apache Web Server.
#
# --------------------------------------------------------------------------
#
# It is used to forward any URL to the root "index.php" file if that URL
# does not point to a physical file on your website. In addition, this
# configuration overrides some options for content negotiation: do not look
# for other matching files if no directory pointed by URL, do not list files
# in directories without an index file.
#
# --------------------------------------------------------------------------
#
# @package    MimimiFramework
# @license    GPL-2.0
#             https://opensource.org/license/gpl-2-0/
# @copyright  2022 MiMiMi Community
#             https://mimimi.software/
#
# --------------------------------------------------------------------------

    <IfModule mod_negotiation.c>
        Options -MultiViews -Indexes
    </IfModule>

    <IfModule mod_rewrite.c>
        RewriteEngine  On

        RewriteRule  ^index\.php$  -  [END]

        RewriteCond  %{REQUEST_FILENAME}  !-f
        RewriteRule  ^                    index.php  [END]
    </IfModule>
